const gcpMetadata = require('gcp-metadata');
const getLogger = require('../logger/logger');

const logger = getLogger();

async function getGcpMetadata() {
    const instanceId = await gcpMetadata.instance('id');

    const gcpMetadataObj = { instanceId: instanceId.toString() };

    let publicIp;
    try {
        publicIp = await gcpMetadata.instance('network-interfaces/0/access-configs/0/external-ip');
        gcpMetadataObj.publicIp = publicIp;
    } catch (err) {
        logger.warn('Couldn\'t get public IP of GCP databroker: ', err);
    }

    return gcpMetadataObj;
}

module.exports = getGcpMetadata;
