const config = require('config');
const getLogger = require('../lib/logger/logger');

const healthLogger = getLogger('health');

function log() {
    healthLogger.info(JSON.stringify({
        memory: process.memoryUsage(),
        cpuUsage: process.cpuUsage()
    }));
}

function startHealthLogInterval() {
    setInterval(log, config.get('statuses.health.log-interval'));
}

module.exports = { startHealthLogInterval };
