const os = require('os');
const ip = require('ip');

async function getOsMetadata() {
    return {
        hostname: os.hostname(),
        privateIp: ip.address(),
        os: os.type(),
        platform: os.platform(),
        release: os.release(),
        osTotalMem: os.totalmem(),
        node: process.versions.node,
        cpus: os.cpus().length,
        processMaxMem: process.memoryUsage().rss
    };
}

module.exports = getOsMetadata;
