const Joi = require('joi');
const {
    IPC_TYPE_COPY, IPC_TYPE_DONE, IPC_TYPE_REMOVE, IPC_TYPE_ABORT, IPC_TYPE_UPDATE
} = require('../../lib/consts');

const scannerIncomingIPCCopySchema = Joi.object().keys({
    transferrerQueue: Joi.string().required(),
    scannerQueue: Joi.string().required(),
    relationshipId: Joi.string().required(),
    requestId: Joi.string().required(),
    type: Joi.string().valid(IPC_TYPE_COPY).required(),
    serverName: Joi.string(),
    certificate: Joi.string()
});

const scannerIncomingIPCDoneRemoveAbortSchema = Joi.object().keys({
    type: Joi.string().valid([IPC_TYPE_DONE, IPC_TYPE_REMOVE, IPC_TYPE_ABORT, IPC_TYPE_UPDATE]).required(),
    relationshipId: Joi.string().required(),
    source: Joi.string().required(),
    target: Joi.string().required()
});

const scannerIncomingIPCMessagesSchemes = {
    copy: scannerIncomingIPCCopySchema,
    remove: scannerIncomingIPCDoneRemoveAbortSchema,
    abort: scannerIncomingIPCDoneRemoveAbortSchema,
    done: scannerIncomingIPCDoneRemoveAbortSchema,
    update: scannerIncomingIPCDoneRemoveAbortSchema
};

module.exports = scannerIncomingIPCMessagesSchemes;
