const Joi = require('joi');


const endPointMetadataSchema = Joi.object().keys({
    cifs: Joi.object().keys({
        username: Joi.string(),
        password: Joi.string(),
        workgroup: Joi.string()
    }),
    sgws: Joi.object().keys({
        accessKey: Joi.string(),
        secretKey: Joi.string()
    }),
    azure: Joi.string(),
    gcp: Joi.object().keys({
        projectId: Joi.string(),
        clientEmail: Joi.string().email(),
        privateKey: Joi.string()
    })
}).xor('cifs', 'sgws', 'azure', 'gcp');

const metadataSchema = Joi.object().pattern(/.*/, Joi.object().keys({
    src: endPointMetadataSchema, trg: endPointMetadataSchema
}).or('src', 'trg'));

module.exports = metadataSchema;
