const Joi = require('joi');
const {
    TYPE_FILE, TYPE_DIRECTORY, TYPE_SYMBOLIC, TYPE_OTHER
} = require('../../lib/consts');

const statsSchema = Joi.object().keys({
    path: Joi.string().required(),
    type: Joi.any().valid([TYPE_FILE, TYPE_DIRECTORY, TYPE_SYMBOLIC, TYPE_OTHER]).required(),
    size: Joi.number().required(),
    mode: Joi.number(),
    uid: Joi.number(),
    gid: Joi.number(),
    mtimeSec: Joi.number()
});

module.exports = statsSchema;
